Loading...
Searching...
No Matches
svn_opt_impl.h File Reference

Option and argument parsing for Subversion command lines (common implementation). More...

Go to the source code of this file.

## Enumerations

enum | svn_opt_revision_kind { svn_opt_revision_unspecified , svn_opt_revision_number , svn_opt_revision_date , svn_opt_revision_committed , svn_opt_revision_previous , svn_opt_revision_base , svn_opt_revision_working , svn_opt_revision_head }
| Various ways of specifying revisions. More...

## Detailed Description

Option and argument parsing for Subversion command lines (common implementation).

# autotoc_md83

Warning
  This is a private implementation-specific header file. User code should include svn_opt.h instead.

Definition in file svn_opt_impl.h.

## Enumeration Type Documentation

## svn_opt_revision_kind

enum svn_opt_revision_kind

Various ways of specifying revisions.

Note
  In contexts where local mods are relevant, the working' kind refers to the uncommitted "working" revision, which may be modified with respect to its base revision. In other contexts, working' should behave the same as committed' or current'.

Enumerator
svn_opt_revision_unspecified | No revision information given.
svn_opt_revision_number | revision given as number
svn_opt_revision_date | revision given as date
svn_opt_revision_committed | rev of most recent change
svn_opt_revision_previous | (rev of most recent change) - 1
svn_opt_revision_base | .svn/entries current revision
svn_opt_revision_working | current, plus local mods
svn_opt_revision_head | repository youngest

Definition at line 54 of file svn_opt_impl.h.